## ros-indigo-industrial-msgs 0.4.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(industrial_msgs)

find_package(catkin REQUIRED COMPONENTS std_msgs trajectory_msgs genmsg message_generation)

add_message_files(
  FILES
  DebugLevel.msg
  DeviceInfo.msg
  RobotMode.msg
  RobotStatus.msg
  ServiceReturnCode.msg
  TriState.msg)

add_service_files(
  FILES
  CmdJointTrajectory.srv
  GetRobotInfo.srv
  SetDrivePower.srv
  SetRemoteLoggerLevel.srv
  StartMotion.srv
  StopMotion.srv)

generate_messages(
  DEPENDENCIES trajectory_msgs std_msgs
)

catkin_package(
    CATKIN_DEPENDS message_runtime std_msgs trajectory_msgs genmsg
)

=== debian/changelog ===
ros-indigo-industrial-msgs (0.4.3-0trusty) trusty; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Sun, 07 Feb 2016 06:00:00 -0000

ros-indigo-industrial-msgs (0.4.2-0trusty) trusty; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Wed, 21 Oct 2015 05:00:00 -0000

ros-indigo-industrial-msgs (0.4.1-0trusty) trusty; urgency=high

  * Fixed changelog links to point to main repo
  * Contributors: Shaun Edwards

 -- Shaun Edwards <sedwards@swri.org>  Mon, 23 Mar 2015 05:00:00 -0000

ros-indigo-industrial-msgs (0.4.0-0trusty) trusty; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Sat, 21 Mar 2015 05:00:00 -0000

ros-indigo-industrial-msgs (0.3.4-0trusty) trusty; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Tue, 21 Jan 2014 06:00:00 -0000

ros-indigo-industrial-msgs (0.3.3-0trusty) trusty; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Mon, 13 Jan 2014 06:00:00 -0000

ros-indigo-industrial-msgs (0.3.2-0trusty) trusty; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Fri, 10 Jan 2014 06:00:00 -0000

ros-indigo-industrial-msgs (0.3.1-0trusty) trusty; urgency=high

  * Remove obsolete export tags. Fix #43 <https://github.com/ros-industrial/industrial_core/issues/43>.
  * add joint_path_command service to Industrial Robot Client
  * Converted to catkin
  * Contributors: JeremyZoss, Shaun Edwards, gavanderhoorn, ros-industrial

 -- Shaun Edwards <sedwards@swri.org>  Thu, 09 Jan 2014 06:00:00 -0000

=== debian/control ===
Source: ros-indigo-industrial-msgs
Section: misc
Priority: extra
Maintainer: Shaun Edwards <sedwards@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-genmsg, ros-indigo-message-generation, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Homepage: http://ros.org/wiki/industrial_msg
Standards-Version: 3.9.2

Package: ros-indigo-industrial-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-genmsg, ros-indigo-message-runtime, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Description: The industrial message package containes industrial specific messages definitions. This package is part of the ROS-Industrial program.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-industrial-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
